﻿using DataSharing.Share.Dtos;
using DataSharing.Share.Enums;

namespace DataSharing.SendTask
{
    public interface IInitPushDataService
    {
        /// 初始化待推送数据
        /// </summary>
        /// <param name="taskType">任务类型</param>
        /// <param name="path">请求地址</param>
        /// <param name="request">请求参数</param>
        /// <param name="ProvinceNo">省编号</param>
        /// <param name="pathType"></param>
        /// <param name="cancellationToken"></param>
        /// <param name="httpMethod">请求方式</param>
        /// <param name="platformSource">推送平台</param>
        /// <param name="taskPriority">任务优先级(0:最低级别)</param>
        /// <param name="fileJson">附件</param>
        /// <returns></returns>
        Task<string> InitPushDataAsync(string taskType, string path, string request, string ProvinceNo,
           string httpMethod = "Post",
           EPlatformSource platformSource = EPlatformSource.Province,
           EPathType pathType = EPathType.Other,
           int taskPriority = 0,
           DateTime? GenerationTime = null,
           List<FileJson>? fileJson = null,
           CancellationToken cancellationToken = default);
    }
}
